yoshimi(1)

NAME
yoshimi - a software music synthesiser

SYNOPSIS
yoshimi [-option] [cmd]

DESCRIPTION
Yoshimi is a polyphonic multi-part sound synthesiser utilising three distinct 'engines' that can be used separately or together. These can also be stacked into 'kits', typically for percussion. It fully supports both JACK and ALSA for MIDI input and audio output.

Yoshimi can be run in a graphical interface, a command line interface, or with control from both. A number of controls can also be accessed via MIDI. The CLI has its own Readline parser and built-in help system accessed by entering the commands '?' or 'help'.

The CLI help system is context sensitive, and apart from reminders of common essential commands, only shows the relevant commands. However, it is possible to specifically call for help from other contexts.

e.g. Within the 'part' context '? config' will show the commands for configuration settings.

Yoshimi has a very extensive MIDI learn capability, exposing the majority of controls. The same MIDI CC and Channel pair can be linked to multiple independent controls. There is also considerable post-learn editing capability.

Other extensions are the ability to import and export entire instrument banks in a safe and obvious manner. It is now also possible to swap any instrument or bank with any other, in any bank root without disrupting the rest of the structure.

Another addition is the ability to load a list of MIDI-learned settings from the command line at startup.

Recent improvements are key and channel aftertouch, fully resizable windows, MIDI sync for LFOs and Panning extensions. Also,inclusion of MIDI-sync for all LFOs, and all relevant Effects.

Another recent development was a comprehensive revision of the PadSynth engine, with additional morphing of the wavetables. There is also support for Undo/Redo.

Further developments are backward compatible high resoluting controls for significant areas and a comprehensive theme management system enabling user defined GUI colour choices. We also have improved handling of microtonal scales, and added ability to export .scl and 'kbd files. It is now possible to set different left/right Echo repeat rates.

Part level MIDI 'Omni' now available. There is now a warning messages if action is taken that could overwrite an instrument that has unsaved edits made.

COMMANDS

-?, --help Shows command syntax.

-a, --alsa-midi[=<device>] Use ALSA MIDI input.

-A, --alsa-audio[=<device>] Use ALSA audio output.

-b, --buffersize=<size> Set the internal buffer size.

-c, --no-cmdline Disable command line interface.

-C, --cmdline Enable command line interface.

-D, --define-root Define path to new bank root dir.

-i, --no-gui Disable graphical interface.

-I, --gui Enable graphical interface.

Attempting 'c' and 'i' will produce a warning, and although it is possible to run with both disabled (accepting only MIDI) it is not recommended.

-j, --jack-midi[=<device>] Use JACK MIDI input.

-J, --jack-audio[=<device>] Connect to JACK server.

-k, --autostart-jack Auto start JACK server.

-K, --auto-connect Auto connect to jack server.

-l, --load=<file> Load .xmz patch set.

-L, --load-instrument=<file>[@part] Load .xiz instrument file (no space)@n to given part.

-M, --load-midilearn=<file> Load .xly learned list file.

-N, --name-tag=<tag> Add a tag to the client name.

-o, --oscilsize=<size> Set the AddSynth oscillator size.

-R, --samplerate=<rate> Set the ALSA audio sample rate.

-S, --state[=<file>]  Load previously saved state.
    Defaults to "HOME/.config/yoshimi/yoshimi.state"

-u, --jack-session-file=<file> Load named JACK session file.

-U, --jack-session-uuid=<uuid> Use JACK session uuid.

Regardless of their position on the command line file loads will always be in the order: session (or state), patch set, instrument, midi-learn

-V, --version Print Yoshimi version.

"Mandatory or optional arguments for long options are also mandatory or optional for any corresponding short options."